package com.bonus.boot.manager.manager.service;

import com.bonus.boot.manager.basic.entity.MapBean;
import com.bonus.boot.manager.basic.entity.PersonnelLibraryBean;
import com.bonus.boot.manager.basic.entity.PhyCombinBean;
import com.bonus.boot.manager.manager.model.SysType;
import com.bonus.boot.manager.manager.model.SysUser;
import com.bonus.boot.manager.physical.entity.CountImportBean;

import java.util.List;

public interface TypeService {

    List<SysType> gettyMsgList(SysType o);

    int delById(SysType bean);

    int addInfo(SysType bean);

    int updateInfo(SysType bean);

    SysType gettyMsgListOne(SysType o);

    List<CountImportBean>getStatisticalGroup(CountImportBean o);


    List<MapBean> getPositiveDisease(MapBean o);
}
